LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
LeftRightMarginScale Struct Reference

specifies a left and right margin. More...

`import"LeftRightMarginScale.idl";`

## Public Attributes
long | TextLeft
| specifies a left text margin in 1/100th mm. More...
long | Left
| specifies a left margin in 1/100th mm. More...
long | Right
| specifies a right margin in 1/100th mm. More...
long | FirstLine
| specifies a first line indent relative to TextLeft in 1/100th mm. More...
long | ScaleLeft
| specifies a scale value for the left margin in percent. More...
long | ScaleRight
| specifies a scale value for the right margin in percent. More...
long | ScaleFirstLine
| specifies a scale value for the first line margin in percent. More...
boolean | AutoFirstLine
| specifies if the automatic calculation of the first line indent occurs. More...

## Detailed Description

specifies a left and right margin.

Since
  LibreOffice 5.3

## Member Data Documentation

## ◆ AutoFirstLine

boolean AutoFirstLine

specifies if the automatic calculation of the first line indent occurs.

## ◆ FirstLine

long FirstLine

specifies a first line indent relative to TextLeft in 1/100th mm.

## ◆ Left

long Left

specifies a left margin in 1/100th mm.

## ◆ Right

long Right

specifies a right margin in 1/100th mm.

## ◆ ScaleFirstLine

long ScaleFirstLine

specifies a scale value for the first line margin in percent.

## ◆ ScaleLeft

long ScaleLeft

specifies a scale value for the left margin in percent.

## ◆ ScaleRight

long ScaleRight

specifies a scale value for the right margin in percent.

## ◆ TextLeft

long TextLeft

specifies a left text margin in 1/100th mm.

The documentation for this struct was generated from the following file:

- com/sun/star/frame/status/LeftRightMarginScale.idl